<template>
    <div class="container-fluid">
        <div class="row">
            <div class="col-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Register</h5>
                        <h6 class="card-subtitle mb-2 text-muted ">Become part of our community.</h6>
                        <form @submit="onRegister">
                            <div class="row">
                                <div class="col">
                                    <div class="mb-3">
                                        <label for="register-first-name" class="form-label">First Name</label>
                                        <input  v-model="first_name" type="text" class="form-control" id="register-first-name" placeholder="Ash" required>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label for="register-last-name" class="form-label">Last Name</label>
                                        <input  v-model="last_name" type="text" class="form-control" id="register-last-name" placeholder="Ketchum" required>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="birthdate" class="form-label">Birthdate</label>
                                <input v-model="birthdate"  type="date" class="form-control" id="birthdate" placeholder="ash.ketchum@pokemon.mail" required>
                            </div>
                            <div class="mb-3">
                                <label for="register-email" class="form-label">Email address</label>
                                <input v-model="email"  type="email" class="form-control" id="register-email" placeholder="ash.ketchum@pokemon.mail" required>
                            </div>
                            <div class="mb-3">
                                <label for="register-password" class="form-label">Password</label>
                                <input  v-model="password" type="password" class="form-control" id="register-password"
                                    placeholder="**********" required>
                            </div>
                            <div class="mb-3">
                                <label for="register-confirm-password" class="form-label">Password</label>
                                <input  v-model="password_confirmation" type="password" class="form-control" id="register-confirm-password"
                                    placeholder="**********" required>
                            </div>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

</template>

<script>
export default {
    name: "RegisterForm",
    data(){
        return {
            first_name: "",
            last_name: "",
            birthdate: "",
            email: "",
            password: "",
            password_confirmation: "",
        }
    },
    methods: {
        onRegister(e){
            e.preventDefault();

            const registerAttempt = {
                first_name: this.first_name,
                last_name: this.last_name,
                birthdate: this.birthdate,
                email: this.email,
                password: this.password,
                password_confirmation: this.password_confirmation,
            }

            if (this.first_name && this.last_name && this.birthdate && this.email && this.password && this.password_confirmation) {
                this.$emit('register-attempt', registerAttempt);
            }
            else{
                alert('Please suffice all data')
            }
        }

      
    },
    emit:['register-attempt']

}
</script>


<style scoped>

</style>